Log::Dispatch::Array(3)

NAME
Log::Dispatch::Array - log events to an array (reference)

VERSION
version 1.001

SYNOPSIS
  use Log::Dispatch;
  use Log::Dispatch::Array;

  my $log = Log::Dispatch->new;

  my $target = [];

  $log->add(Log::Dispatch::Array->new(
    name      => 'text_table',
    min_level => 'debug',
    array     => $target,
  ));

  $log->warn($_) for @events;

  # now $target refers to an array of events

DESCRIPTION
This provides a Log::Dispatch log output system that appends logged events to an array reference. This is probably only useful for testing the logging of your code.

METHODS

  "new"
 my $table_log = Log::Dispatch::Array->new(\%arg);

This method constructs a new Log::Dispatch::Array output object. Valid arguments are:

  array - a reference to an array to append to; defaults to an attr on
          $table_log

  array
This method returns a reference to the array to which logging is being performed.

  log_message
This is the method which performs the actual logging, as detailed by Log::Dispatch::Output.

AUTHOR
Ricardo Signes, "<rjbs@cpan.org>"

BUGS
Please report any bugs or feature requests through the web interface at <http://rt.cpan.org>. I will be notified, and then you'll automatically be notified of progress on your bug as I make changes.

COPYRIGHT
Copyright 2008 Ricardo SIGNES, all rights reserved.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.